ScrollPane.ScrollBarPolicy (JavaFX 25)
Description: declaration: module: javafx.controls, package: javafx.scene.control, class: ScrollPane, enum: ScrollBarPolicy

# Enum Class ScrollPane.ScrollBarPolicy

java.lang.Object
java.lang.Enum<ScrollPane.ScrollBarPolicy>
javafx.scene.control.ScrollPane.ScrollBarPolicy

All Implemented Interfaces:
  `Serializable, Comparable<ScrollPane.ScrollBarPolicy>, Constable`

Enclosing class:
  `ScrollPane`

public static enum ScrollPane.ScrollBarPolicy extends Enum<ScrollPane.ScrollBarPolicy>
An enumeration denoting the policy to be used by a scrollable Control in deciding whether to show a scroll bar.

Since:
  JavaFX 2.0

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALWAYS`
  Indicates that a scroll bar should always be shown.
  `AS_NEEDED`
  Indicates that a scroll bar should be shown when required.
  `NEVER`
  Indicates that a scroll bar should never be shown.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ScrollPane.ScrollBarPolicy`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ScrollPane.ScrollBarPolicy[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NEVER

    public static final ScrollPane.ScrollBarPolicy NEVER
    Indicates that a scroll bar should never be shown.

  - ### ALWAYS

    public static final ScrollPane.ScrollBarPolicy ALWAYS
    Indicates that a scroll bar should always be shown.

  - ### AS_NEEDED

    public static final ScrollPane.ScrollBarPolicy AS_NEEDED
    Indicates that a scroll bar should be shown when required.

- ## Method Details

  - ### values

    public static ScrollPane.ScrollBarPolicy[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ScrollPane.ScrollBarPolicy valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null